install-info(8)

NAMN
install-info - skapa eller uppdatera post i en info-katalogfil

SYNOPS
install-info [--version] [--help] [--debug] [--maxwidth=nnn] [--section reguljärt-uttryck titel] [--infodir=xxx] [--align=nnn] [--quiet] [--menuentry=xxx] [--description=xxx] [--remove|--remove-exactly] [--] filnamn

BESKRIVNING
install-info skapar, uppdaterar eller tar bort poster Infos dir-fil. När poster uppdateras eller skapas försöker den gissa en beskrivning från innehållet i filen om ingen beskrivning anges på kommandoraden eller i Info-filen.

Se beskrivningen för flaggan --section för detaljer om var posten skapas och en beskrivning av det format som förväntas på dir-filen.

FLAGGOR

[--] filnamn
    Anger filnamnet på den Infofil vars menypost skall skapas, uppdateras eller tas bort. Om --remove-exactly anges måste filnamn vara det exakta namnet på den post som skall tas bort (t.ex "emacs-20/emacs" eller "gcc"), annars används basnamnet för filnamnet till att referera till menyposten som skapas, såvida inte det finns ett överstyrande START-INFO-DIR-post i den givna filen. Filen måste därför finnas (eller vara på väg att installeras, eller ha existerat tidigare, om en post tas bort) i samma katalog som dir-filen (se flaggan --infodir). Om filnamn slutar på .gz, anses den referera till en fil som komprimerats med gzip. Om den inte finns, men det finns en motsvarande filnamn.gz används den senare i stället. När poster läggs till eller uppdateras måste filen existera på den sökväg som angavs (eventuellt med en ytterligare .gz-filändelse).

--remove
    Anger att posten för filen filnamn skall tas bort. Standard är att poster läggs till eller uppdateras. Om borttagningen leder till att en sektion blir tom kommer även rubriken för sektionen (och den extra blanka raden) att as bort, såvida inte detta är den sista sektionen i filen eller --keep-old anges. Se flaggan --section för detaljer om det förväntade formatet på dir-filen. Om det är flera poster i dir-filen som passar, kommer bara de i den första träffande intilliggande gruppen att tas bort och de andra tyst att ignoreras. Det är inte ett fel om det inte finns någon motsvarande post, även om install-info kommer varna om inte flaggan --quiet angavs. När --remove anges kommer formateringsflaggorna --maxwidth, --align och --calign att tyst ignoreras.

--remove-exactly
    Den här flaggan är i stort sett samma som --remove, förutom att filnamn tas som den exakta posten som skall tas bort, snarare än namnet på en befintlig fil. Det kan vara viktigt när man försöker ta bort poster som motsvarar info-filer i underkataloger (t.ex "emacs-20/emacs") eftersom --remove kommer använda basnamnet på det givna filnamnet i stället för det exakta namn som ges (dvs. --remove "emacs-20/emacs" gör att install-info letar efter "emacs", inte "emacs-20/emacs").

--section reguljärt-uttryck titel
    Anger att om en ny post skall skapas, så skall den placeras i en sektion i dir-filen vars titel motsvarar reguljärt-uttryck. Om det inte finns någon sådan sektion kommer en skapas som den nästa sista sektionen i filen (se nedan) med titeln titel. En sektion är en del av dir-filen avdelad av tomma rader. Den första raden antas vara titeln. Om en ny post skall skapas kommer install-info att försöka att lägga in den i sektionen i bokstavsordning. Om posterna i sektionen inte redan är i bokstavsordning går det inte att förutse var den kommer att hamna. Ordningen på befintliga poster kommer inte att ändras. Om flaggan --section inte anges kommer install-info att leta efter en titel i själva Info-filen genom att leta efter en post på formen
    INFO-DIR-SECTION titel
    Om ingen titel hittas är den förvalda funktionen att lägga till nya poster i slutet av filen. Den sista sektionen (även om den bara består av titelraden) skall alltid finnas för att se till att nya sektioner skapas på rätt plats. Den sista sektionen kommer att få en titel som beskriver det faktum att Info-filer som inte har någon bättre placering angiven läggs in där. Om det redan finns en post för Info-filen som installeras kommer den nya posten att ersätta den på samma plats. Om en sektion anges när du tar bort en post kommer sektionen att ignoreras och en varning att ges. Om en sektion anges när du lägger till en post, men filen inte innehåller några sektionsrubriker över huvud taget, så kommer install-info att skapa både den önskade sektionen och en blandat-sektion i slutet av filen.

--infodir=infokatalog
    Anger att dir-filen är, och att den installerade kopian av den nya Info-filen var, är eller kommer att placeras i infodir. Standard är /usr/share/info/.

--align=nnn [gammalt]
    Anger att den första raden i beskrivningen skall få ett indrag på nnn tecken. Nya blanksteg läggs till om så behövs. Om det behövs på grund av längden på detaljer i dir-menyposten kan den få ett större indrag. Standardvärde är 27.

--calign=nnn [gammalt]
    Anger att den andra och följande rader i beskrivningen skall få ett indrag på åtminstone nnn tecken. Standardvärde är 29.

--maxwidth=nnn [gammalt]
    Anger att maxbredd för Info-filen är nnn. Används för att ordbryta beskrivningen. Standardvärde är 79.

--quiet
    Förhindrar den vanliga visningen av den nya menyposten precis innan den sätts in och av meddelanden som beskriver ersättning eller borttagning av befintliga poster och skapande och borttagning av sektioner.

--help
    Får install-info att visa sin hjälpskärm och avsluta.

--version
    Gör så att install-info visar information om version och upphovsrätt och avslutar sedan.

--description=xxx
    Anger att den beskrivning som skall användas efter menyposten i de nya eller uppdaterade posterna skall vara xxx. Som standard är den värdet som anges i själva Info-filen. Den hittas genom att leta efter en post på formen
    START-INFO-DIR-ENTRY
    * Auto-PGP: (auto-pgp). PGP under GNU Emacs.
    END-INFO-DIR-ENTRY Om posten som finns i själva Info-filen spänner över flera rader, där varje rad anger en menypost, kommer texten i filen att användas ordagrant. I detta fall stängs bokstavssorteringen av, och posterna läggs in överst i den önskade sektionen. I detta fall ignoreras flaggorna --menuentry, --maxwidth, --align, --calign och --menuentry Om det inte finns någon dir-post i filen kommer programmet att försöka hitta ett stycke tidigt i filen som börjar med this file documents. Den kommer att göra den första bokstaven i resten av texten stor och använda det. Det innebär ett fel om ingen av dessa metoder hittar en beskrivning. Om ett beskrivningsargument ges när --remove anges kommer det att ignoreras och en varning visas.

--menuentry=xxx
    Anger att posten i menyn skall vara xxx. Standard är att använda värdet som finns i själva Info-filen. Om det inte finns någon används basnamnet på Info-filen (eventuellt .info tas bort och posten görs om till blandat skiftläge). Se ovan för detaljer om vilket format som förväntas på menyposten i Info-filen. När poster tas bort måste värdet på flaggan --menuentry stämma överens med den faktiska menyposten som skall tas bort (skiftläge är inte relevant). Om --menuentry utesluts kontrolleras inte menyposten.

--keep-old
    Förhindrar att befintliga poster ersätts och att tomma sektioner tas bort. Om filen som installeras redan har en post i Info-dir-filen kommer den gamla posten att lämnas kvar istället för att ersättas. Standard är att skriva över en gammal post med den nya som skapas. Om --remove anges kommer --keep-old att förhindra att sektionsrubriken tas bort, vilket annars skulle ha hänt om sektionen blir tom på grund av borttagningen.

--test
    Aktiverar testläge, vilket förhindrar att Info-dir-filen uppdateras.

--debug
    Aktiverar felsökningsläge, vilket gör att resultatet av vissa interna behandlingssteg visas.

SE ÄVEN
emacs(1), info(1), gzip(1).

FÖRFATTARE
Upphovsrättsskyddat © 1994 Ian Jackson

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.